CMSIS DSP Software Library: arm_graphic_equalizer_example_q31.c File Reference

Defines | Functions | Variables

# arm_graphic_equalizer_example_q31.c File Reference

`#include "arm_math.h"`
`#include "math_helper.h"`

Go to the source code of this file.

## Defines

#define | TESTLENGTH 320
#define | BLOCKSIZE 32
#define | NUMBLOCKS (TESTLENGTH/BLOCKSIZE)
#define | NUMSTAGES 2
#define | SNR_THRESHOLD_F32 98

## Functions

int32_t | main (void)

## Variables

float32_t | testInput_f32 [TESTLENGTH]
static float32_t | testOutput [TESTLENGTH]
float32_t | testRefOutput_f32 [TESTLENGTH]
static q63_t | biquadStateBand1Q31 [4 *2]
static q63_t | biquadStateBand2Q31 [4 *2]
static q31_t | biquadStateBand3Q31 [4 *2]
static q31_t | biquadStateBand4Q31 [4 *2]
static q31_t | biquadStateBand5Q31 [4 *2]
q31_t | inputQ31 [BLOCKSIZE]
q31_t | outputQ31 [BLOCKSIZE]
const q31_t | coeffTable [950]
int | gainDB [5] = {0, -3, 6, 4, -6}
float32_t | snr

## Define Documentation

#define TESTLENGTH 320

Examples:
  arm_graphic_equalizer_example_q31.c.

Definition at line 117 of file arm_graphic_equalizer_example_q31.c.

#define BLOCKSIZE 32

Examples:
  arm_graphic_equalizer_example_q31.c, and arm_signal_converge_example_f32.c.

Definition at line 120 of file arm_graphic_equalizer_example_q31.c.

#define NUMBLOCKS (TESTLENGTH/BLOCKSIZE)

Examples:
  arm_graphic_equalizer_example_q31.c.

Definition at line 123 of file arm_graphic_equalizer_example_q31.c.

#define NUMSTAGES 2

Examples:
  arm_graphic_equalizer_example_q31.c.

Definition at line 126 of file arm_graphic_equalizer_example_q31.c.

#define SNR_THRESHOLD_F32 98

Definition at line 128 of file arm_graphic_equalizer_example_q31.c.

## Function Documentation

int32_t main | ( | void | ) |

Definition at line 285 of file arm_graphic_equalizer_example_q31.c.

## Variable Documentation

float32_t testInput_f32[TESTLENGTH]

Examples:
  arm_graphic_equalizer_example_q31.c, arm_signal_converge_example_f32.c, arm_sin_cos_example_f32.c, and arm_variance_example_f32.c.

Definition at line 83 of file arm_sin_cos_example_f32.c.

float32_t testOutput[TESTLENGTH]`[static]`

Definition at line 135 of file arm_graphic_equalizer_example_q31.c.

float32_t testRefOutput_f32[TESTLENGTH]

Definition at line 141 of file arm_convolution_example_f32.c.

q63_t biquadStateBand1Q31[4 *2]`[static]`

Examples:
  arm_graphic_equalizer_example_q31.c.

Definition at line 143 of file arm_graphic_equalizer_example_q31.c.

q63_t biquadStateBand2Q31[4 *2]`[static]`

Examples:
  arm_graphic_equalizer_example_q31.c.

Definition at line 144 of file arm_graphic_equalizer_example_q31.c.

q31_t biquadStateBand3Q31[4 *2]`[static]`

Examples:
  arm_graphic_equalizer_example_q31.c.

Definition at line 145 of file arm_graphic_equalizer_example_q31.c.

q31_t biquadStateBand4Q31[4 *2]`[static]`

Examples:
  arm_graphic_equalizer_example_q31.c.

Definition at line 146 of file arm_graphic_equalizer_example_q31.c.

q31_t biquadStateBand5Q31[4 *2]`[static]`

Examples:
  arm_graphic_equalizer_example_q31.c.

Definition at line 147 of file arm_graphic_equalizer_example_q31.c.

q31_t inputQ31[BLOCKSIZE]

Examples:
  arm_graphic_equalizer_example_q31.c.

Definition at line 153 of file arm_graphic_equalizer_example_q31.c.

q31_t outputQ31[BLOCKSIZE]

Examples:
  arm_graphic_equalizer_example_q31.c.

Definition at line 154 of file arm_graphic_equalizer_example_q31.c.

const q31_t coeffTable[950]

Examples:
  arm_graphic_equalizer_example_q31.c.

Definition at line 167 of file arm_graphic_equalizer_example_q31.c.

int gainDB[5] = {0, -3, 6, 4, -6}

Examples:
  arm_graphic_equalizer_example_q31.c.

Definition at line 276 of file arm_graphic_equalizer_example_q31.c.

float32_t snr

Definition at line 278 of file arm_graphic_equalizer_example_q31.c.

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines